Uses of Interface
org.apache.camel.builder.endpoint.dsl.Smb2EndpointBuilderFactory.Smb2EndpointBuilder
Packages that use Smb2EndpointBuilderFactory.Smb2EndpointBuilder
-
Uses of Smb2EndpointBuilderFactory.Smb2EndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return Smb2EndpointBuilderFactory.Smb2EndpointBuilderModifier and TypeMethodDescriptionSmb2EndpointBuilderFactory.AdvancedSmb2EndpointBuilder.basic()This option is used to specify the encoding of the file.The user domain.Smb2EndpointBuilderFactory.Smb2EndpointBuilder.doneFileName(String doneFileName) Producer: If provided, then Camel will write a 2nd done file when the original file has been written.Smb2EndpointBuilderFactory.endpointBuilder(String componentName, String path) Use Expression such as File Language to dynamically set the filename.The password to access the share.The path, within the share, to consume the files from.Smb2EndpointBuilderFactory.Smb2EndpointBuilder.searchPattern(String searchPattern) The search pattern used to list the files.SMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba shareSMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba shareThe username required to access the share.